=== debian/changelog ===
tar (1.34+dfsg-1+deb11u1) bullseye; urgency=medium

  * Non-maintainer upload.
  * Fix boundary checking in base-256 decoder (CVE-2022-48303)
  * Fix handling of extended header prefixes (CVE-2023-39804)
    (Closes: #1058079)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 20 Jan 2024 10:59:10 +0100

tar (1.34+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Janos Lenart <ocsi@debian.org>  Wed, 17 Feb 2021 09:55:26 +0000

tar (1.33+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Removed unsafe escaping from mailcap-entry; closes: #982614
  * Fixed trailing whitespaces in debian/{changelog,control,rules}

 -- Janos Lenart <ocsi@debian.org>  Fri, 12 Feb 2021 15:15:21 +0000
