=== debian/control ===
Source: tar
Section: utils
Priority: required
Maintainer: Janos Lenart <ocsi@debian.org>
Uploaders: Carl Worth <cworth@cworth.org>
Build-Depends: debhelper (>> 10), gettext, autoconf, automake, autopoint, bison, libacl1-dev, libselinux1-dev [linux-any]
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/debian/tar.git
Vcs-Browser: https://salsa.debian.org/debian/tar
Homepage: https://www.gnu.org/software/tar/

Package: tar
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
Essential: yes
Conflicts: cpio (<= 2.4.2-38)
Replaces: cpio (<< 2.4.2-39)
Breaks: dpkg-dev (<< 1.14.26)
Suggests: bzip2, ncompress, xz-utils, tar-scripts, tar-doc
Description: GNU version of the tar archiving utility
 Tar is a program for packaging a set of files as a single archive in tar
 format.  The function it performs is conceptually similar to cpio, and to
 things like PKZIP in the DOS world.  It is heavily used by the Debian package
 management system, and is useful for performing system backups and exchanging
 sets of files with others.

Package: tar-scripts
Architecture: any
Priority: optional
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, tar (>= 1.26+dfsg-9)
Conflicts: dump, openafs-client, tar (<< 1.26+dfsg-9)
Description: optional scripts for GNU version of the tar archiving utility
 This package provides the backup, restore, backup.sh, and dump-remind
 scripts that are mentioned in the tar documentation.
