=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg// \
https://ftp.gnu.org/gnu/tar/tar-([\d\.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
